#include <iostream>
#include <vector>
#include <string>
#include "histogram.hpp"
#include "text.hpp"
#include "svg.hpp"
using namespace std;

struct Input {
    vector<double> numbers;
    size_t bin_count{};
};

Input input_data() {
    size_t number_count;
    
    cerr << "Введите кол-во чисел в строке: ";
    cin >> number_count;
    Input in;
    in.numbers.resize(number_count);
    
    cerr << "Введите строку чисел: ";
    for (int i = 0; i < number_count; i++) {
        cin >> in.numbers[i];
    }
    
    cerr << "Введите кол-во корзин: ";
    cin >> in.bin_count;
    return in;
}

int main () {
    auto in = input_data();
    auto bins = make_histogram(in.numbers, in.bin_count);
    show_histogram_svg(bins);
    return 0;
}
